# Contributing

Helping hands are always welcome to contribute with bug fixes and enhancements to UniCache. Feel free to report issues 
which you observe while integrating UniCache in your project.

## How to Report Issues
To report an issue, please use the [Github issues tracker](https://github.com/PLG-Works/UniCache/issues). When reporting issues,
please mention the following details, whichever applicable:
- Steps to reproduce with sample snippets.
- Actual vs. expected behaviour.
- Whether it is a bug or proposed enhancement.
- Release version which the issue is concerned with.

## Workflow for Pull Requests
In order to contribute, please fork off the particular release-{version} branch and make your changes there. Your commit 
messages should detail why you made your change in addition to what you did (unless it is a tiny change).

If you are enhancing with a new feature, please ensure to add appropriate test cases under `test/` folder. It's also a 
good practice to add new test cases in case of bug fixes too.

Please update CHANGELOG.md with each PR.

If you are taking up a big change, please add an issue and discuss with the UniCache team first to get opinions from 
multiple developers.

Finally, please respect the coding style of this project. And of course, please test your code thoroughly before raising PR.

Thank you for your help!


